function [y,x] = fl2JTSK(fi,lamda)
% [y,x] = fl2JTSK(fi,lamda)
% provedl jsem nekolik modifikac (RSC)
%
% k ulohe #3, VG11
%   -----------komentar-----------
%   toto je ukazka prevodu elipsoidickych
%   suradnic fi, lam na JTSK suradnice
%   vstup : (fi, lam)
%   vystup : (y, x)
%
%   pouzite konstanty su pouzite aj kontrole
%   na serveri athena.fsv.cvut.cz/VG11
%   pre zadanie VG11_03

ro = 180/pi;%RSC

fi = fi/ro;%RSC (puvodn vstup byl v radinech)
lam = lamda/ro;%RSC


%---Bessel parameters-----
[a,b,e2] = elipsoid(1);%RSC
% e2 = 0.006674372230622;
% a = 6377397.15508;
e = sqrt(e2);
%--------------------------------
V_Q = (42 + 31/60 + 31.41725/3600)*pi/180;
U_Q = (59 + 42/60 + 42.6969/3600)*pi/180;
lam_ferro = (17 + 40/60)*pi/180;
S_0 = (78 + 30/60)*pi/180;
%--------------------------------

ro = 180/pi;

% ---            1        2        3               4
% ---  (fi, lam) -> (U,V) -> (S,D) -> (ro, epsilon) -> (Y,X, .. He)

filah = [fi, lam];

% ---1
k = 1/0.9965924867;
alf = 1.000597498372;
V = alf*(filah(2) + lam_ferro);
U = (atan( k*tan(filah(1)/2 + pi/4)^alf * ((1 - e*sin(filah(1))) / (1 + e*sin(filah(1))))^(alf*e/2) ) - pi/4) * 2;


% ---2
D_V = V_Q - V;
S = asin(sin(U)*sin(U_Q) + cos(U)*cos(U_Q)*cos(D_V));
D = asin(cos(U) * sin(D_V)/cos(S));

% ---3
n = sin(S_0);
rho_0 = 0.9999*6380703.6105/tan(S_0);
epsilon = n*D;
rho = rho_0 * (tan(S_0/2 + pi/4) / tan(S/2 + pi/4))^n;

% ---4
YXH = [rho*[sin(epsilon), cos(epsilon)]];

%vstup
y = rho*sin(epsilon);%RSC
x = rho*cos(epsilon);%RSC